kiyoka.2007_10_13 RSSPLAIN

Related pages: !kiyoka.blog.list !kiyoka.blog.2007_10
555555555554545455
5

[OldType開発]Subversionの最新版をビルドする

5
Subversion 1.1.4(過去のバージョンの問題)
5
 $ svn info 
5

コマンドが --xml をサポートしていない。

5

--xmlが無いと発生する問題として、svn info の出力は国際化されているのでLANG環境変数によってメッセージが日本語で出たり英語で出たりする。

5

Subversion 1.4.5(最新)の--xmlを使えば、環境変数に依存しない。

5

 

5
ビルド情報
5
OSバージョン
5
 Debian 3.1(sarge)
5
バージョンの組合せとconfigureのオプション
4
apr-0.9.16
5
 configure
4
apr-util-0.9.15
5
 configure --with-apr=/usr/local
4
subversion-1.4.5
5
 configure --prefix=/usr/local --with-apr=/usr/local --with-apr-util=/usr/local/apr --with-neon=/usr/local --disable-mod-activation
5

(--disable-mod-activationはApacheのmod_svnをinstall時に有効にする動作を無効化する。Debianの場合は勝手にenableされるのはイヤなので指定した。)